MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024575Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-01-27 08:132014-05-05 13:38
Reporterpkv 
Assigned Toapn 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024575: Exception is raised during 'checkshape' operation.
DescriptionException is raised during 'checkshape' operation.
Steps To ReproduceUse the following commands to reproduce the problem:
#
restore cx1.brep b1
checkshape b1
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24575
Attached Files7z file icon cx1.7z (1,098,111 bytes) 2014-01-27 08:18

- Relationships

-  Notes
(0028035)
nbv (developer)
2014-02-26 16:11

Dear ifv.

Please review the branch CR24575_1.
Problem has been liquidated. However, replacing recursion by cycle can reduce a performance. Therefore, we should use new algorithm only for "big shapes" (which contain quite many sub-shapes), only to avoid "Stack overflow" exception.

Thus. This is an intermediate result. It should be tested, to make sure previous and new algorithms are equivalent.
(0028039)
ifv (developer)
2014-02-26 16:42

Ok
(0028049)
mkv (tester)
2014-02-27 16:50

Dear BugMaster,

Branch CR24575_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: cb135faab4f239e8fda4b41bb8113b998bcb7b7a

Number of compiler warnings:

occt component :
Linux: 29 (29 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24575-1-master-occt/Debian60-64/bugs/modalg_5/bug24575.html [^]
http://occt-tests/CR24575-1-master-occt/Windows-32-VC9/bugs/modalg_5/bug24575.html [^]
bugs modalg_5(010) bug24575: OK

Testing on Linux:
Total MEMORY difference: 383117772 / 382538056
Total CPU difference: 43198.2200000001 / 45146.27000000002

Testing on Windows:
Total MEMORY difference: 429284836 / 428907772
Total CPU difference: 32557.53125 / 34671.40625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 67e1d45b
Timestamp: 2014-02-27 14:45:27
Author: nbv
Committer: apn
Details ] Diff ]
0024575: Exception is raised during 'checkshape' operation.

Recursion calling of "Propagate(...)" function is replaced with cycle.
Test case for issue CR24575
mod - src/BRepCheck/BRepCheck_Shell.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24575 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-27 08:13 pkv New Issue
2014-01-27 08:13 pkv Assigned To => pkv
2014-01-27 08:18 pkv File Added: cx1.7z
2014-01-27 08:18 pkv Assigned To pkv => ifv
2014-01-27 08:18 pkv Status new => assigned
2014-01-31 17:19 ifv Assigned To ifv => nbv
2014-02-26 16:11 nbv Note Added: 0028035
2014-02-26 16:11 nbv Assigned To nbv => ifv
2014-02-26 16:11 nbv Status assigned => resolved
2014-02-26 16:42 ifv Note Added: 0028039
2014-02-26 16:42 ifv Status resolved => reviewed
2014-02-26 17:45 mkv Assigned To ifv => mkv
2014-02-27 16:50 mkv Note Added: 0028049
2014-02-27 16:51 mkv Test case number => bugs modalg_5(010) bug24575
2014-02-27 16:51 mkv Assigned To mkv => bugmaster
2014-02-27 16:51 mkv Status reviewed => tested
2014-03-03 13:25 apn Changeset attached => occt master 67e1d45b
2014-03-03 13:25 apn Assigned To bugmaster => apn
2014-03-03 13:25 apn Status tested => verified
2014-03-03 13:25 apn Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:38 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker